# 阿里云消息服务(MNS)的日志导出工具

## 功能

提供日志导出功能，将保存在OSS的日志导出到阿里云日志服务进行查询、分析。

## 环境依赖
此工具适用于Python 2.6/2.7 版本，Windows平台和Linux平台均可使用。

## 准备
+ 开通阿里云[日志服务](https://www.aliyun.com/product/sls) 

+ 使用SLS SDK需要安装protobuf和simplejson，具体见https://help.aliyun.com/document_detail/sls/sdk/python/quickstart.html


## 代码组成

+ OSS SDK : https://help.aliyun.com/document_detail/oss/sdk/sdk-download/python.html

+ SLS SDK ：https://help.aliyun.com/document_detail/sls/sdk/intros/overview.html

+ 核心代码: mnslog_export.py


## 使用方法

### 必选参数
   
   基本参数
   1: --access_id   阿里云服务使用的access_id

   2: --access_key  阿里云服务使用的access_key


   oss 相关参数
   3：--oss_host    oss服务接入地址，请在bucket配置中获得这个参数, 比如杭州地区的地址是：oss-cn-hangzhou.aliyuncs.com

   4: --log_bucket  保存MNS日志的bucket名称，请登录MNS控制台进入日志管理页面查看

   6: --start_time  导日志的起始时间，比如201503270102, 表示从2015年3月27号1点02分的日志开始
   
   7: --end_time    导日志的截至时间，不包含该时间，比如201603270302, 表示到2016年3月27号3点02分截止


   sls 相关参数
   
   8：--sls_host    sls的接入地址，请从日志服务官网获取，比如杭州地区的地址是cn-hangzhou.sls.aliyun.com

   9: --sls_project 指定日志导入的sls project名称，请登录日志服务官网申请、查看

   10：--sls_logstore   指定日志导入的sls logsotre名称, 请登录日志服务官网创建、查看

   mns 相关参数

   11: --topic_name 指定需要导入日志的topic名称

   12：--queue_name 指定需要导入日志的queue名称，topic name和queue name只能选择一个

### 可选参数：

   sls 可选参数

   1: --sls_topic   表示导入到的topic名称，默认导入空的topic中

   2: --sls_quota   sls的quota，默认是1M/min，超过了这个值要手动调整这个quota，本脚本按照这个值指定的速度导数据，避免数据被SLS 拒绝。

 
### 注意事项

    1. 只能导入7天内日志；
    2. 日志导入日志服务系统1分钟后支持查询；

### 使用示例
 
 ```
 python mnslog_export.py  --access_id=xxx --access_key=xxx \
    --oss_host=oss.aliyuncs.com  --log_bucket=mnslogbucket --start_time=201604210000 --end_time=201604220000'\
      --sls_host=cn-hangzhou.sls.aliyuncs.com   --sls_project=my_sls_project  --sls_logstore=mns_log --sls_quota=1\
      --queue_name=test-queue 
 ```
